
Redmine - Defect #37685

Read-only field permission for the project field is ignored if the current project has subprojects

2022-09-18 16:52 - salman mp

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version: 4.2.9   

Resolution: Fixed Affected version: 4.2.7

Description

When project_id marked as readonly in workflow/permissions for a role say role1, if a user with role1 try to create an issue in a leaf

project, everything is ok. But if that user try to create new issue in a project that has some subprojects, that projects was shown in

issue creating form.

Associated revisions

Revision 21937 - 2022-10-31 10:04 - Go MAEDA

Read-only field permission for the project field is ignored if the current project has subprojects (#37685).

Patch by salman mp.

Revision 21953 - 2022-11-07 03:37 - Go MAEDA

Merged r21937 from trunk to 5.0-stable (#37685).

Revision 21954 - 2022-11-07 03:43 - Go MAEDA

Merged r21937 from trunk to 4.2-stable (#37685).

History

#1 - 2022-09-18 20:02 - Mischa The Evil

Can you add some test coverage for this change? For it, you can check out these relevant references:

#12704 (r17217);

#33419 (r20701 & r20733);

#34798 (r20840).

Thanks in advance.

#2 - 2022-09-20 16:56 - salman mp

- File test_global_new_issue_and_hierarchy_projects_new_issue.patch added

I have no experience in writing tests, but I hope these two tests can show that cases.

#3 - 2022-09-20 18:37 - salman mp

- File test_global_new_issue_and_hierarchy_projects_new_issue.patch added

second test function's name was wrong and this file fixed that.

#4 - 2022-09-21 08:22 - Go MAEDA

- Category set to Issues workflow

- Status changed from New to Confirmed

#5 - 2022-09-21 08:47 - Go MAEDA

- Target version set to 4.2.8

Setting the target version to 4.2.8.
https://www.redmine.org/issues/12704
https://www.redmine.org/projects/redmine/repository/svn/revisions/17217
https://www.redmine.org/issues/33419
https://www.redmine.org/projects/redmine/repository/svn/revisions/20701
https://www.redmine.org/projects/redmine/repository/svn/revisions/20733
https://www.redmine.org/issues/34798
https://www.redmine.org/projects/redmine/repository/svn/revisions/20840


#6 - 2022-10-01 07:40 - Go MAEDA

- Target version changed from 4.2.8 to 4.2.9

#7 - 2022-10-31 10:05 - Go MAEDA

- Subject changed from Show project field in Issue create form when project_id is not permitted field to Read-only field permission for the project field

is ignored if the current project has subprojects

- Status changed from Confirmed to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix. Thank you for your contribution.

#8 - 2022-11-07 03:43 - Go MAEDA

- Status changed from Resolved to Closed

Files

dont_show_projects_when_not_allowed_in_workflow_permissions.patch1.26 KB 2022-09-18 salman mp

test_global_new_issue_and_hierarchy_projects_new_issue.patch 1.72 KB 2022-09-20 salman mp

test_global_new_issue_and_hierarchy_projects_new_issue.patch 1.72 KB 2022-09-20 salman mp
